#include <bits/stdc++.h>
#define MAXN 200001
using namespace std;
int N,K,m=0,cm=0;
int a[MAXN];
void ch(int k[],int nik,int rez,int l,int r){
    m=max(m,rez);

    if(nik>1){

        ch(k,nik-1,a[k[l]]-rez,l+1,r);
        ch(k,nik-1,rez-a[k[r]],l,r-1);
    }
}
void pick(int nik,int last,int k[]){
    if(nik==K){ch(k,K,0,0,K-1);}
    else{
    for(int i=last+1;i<N-(K-nik)+1;i++){
        k[nik]=i;

        pick(nik+1,i,k);
    }
    }
}
int main()
{
    ios::sync_with_stdio(0);cin.tie(0);cerr.tie(0);cout.tie(0);
    scanf("%d%d",&N,&K);

    for(int i=0;i<N;i++){
        scanf("%d",&a[i]);
    }

    int k[K];
    pick(0,-1,k);
    cout<<m;
}